diff --git a/makefile.win32 b/makefile.win32
index 1add16c..4f701c9 100644
--- a/makefile.win32
+++ b/makefile.win32
@@ -10,7 +10,7 @@
 # Use localwin32.mk instead of editing variables as it is included in sub
 # makefiles.
 # E.g. use localwin32.mk to set PREFIX=C:/libs instead of the default C:\libs
-# For MSYS use localwin32.mk to set CP, CP_R, RM, DIRSEP.
+# For MSYS use localwin32.mk to set CP, CP_R, RM and MKDIR_P.
 # By default this should work in a Windows command prompt (cmd.exe).
 
 WINDRES = windres.exe
@@ -19,9 +19,7 @@ CXX = g++
 CP = copy /Y
 CP_R = xcopy /S /Y
 RM = del
-MKDIR = mkdir
-# strip is used to prevent line wrap
-DIRSEP := $(strip \)
+MKDIR_P = mkdir
 DESTDIR = C:/Program Files/Geany
 -include localwin32.mk
 
@@ -55,10 +53,8 @@ clean: deps
 # mkdir output is ignored in case dir exists
 # 'copy' seems to only accept / in the destination
 install:
-	-$(MKDIR) "$(DESTDIR)"
-	-$(MKDIR) "$(DESTDIR)/bin"
+	-$(MKDIR_P) "$(DESTDIR)/bin"
 	$(CP) geany.exe "$(DESTDIR)/bin"
-	-$(MKDIR) "$(DESTDIR)/lib"
-	$(CP) plugins$(DIRSEP)*.dll "$(DESTDIR)/lib"
-	-$(MKDIR) "$(DESTDIR)/data"
+	make -C plugins -f makefile.win32 install
+	-$(MKDIR_P) "$(DESTDIR)/data"
 	$(CP_R) data "$(DESTDIR)/data"
diff --git a/plugins/makefile.win32 b/plugins/makefile.win32
index 4f2e5da..435f6ae 100644
--- a/plugins/makefile.win32
+++ b/plugins/makefile.win32
@@ -3,7 +3,10 @@
 CC = gcc
 CXX = g++
 PREFIX = C:\libs
+CP = copy /Y
 RM = del
+MKDIR_P = mkdir
+DESTDIR = C:/Program Files/Geany
 -include ../localwin32.mk
 .SUFFIXES:
 .SUFFIXES: .c .o .dll
@@ -43,7 +46,7 @@ ifndef GTK210
 ALL_GTK_LIBS += -liconv
 endif
 
-.PHONY: all clean plugins
+.PHONY: all clean plugins install
 
 all: plugins
 
@@ -66,6 +69,10 @@ plugins: \
 clean:
 	-$(RM) deps.mak *.o *.dll
 
+install:
+	-$(MKDIR_P) "$(DESTDIR)/lib"
+	$(CP) *.dll "$(DESTDIR)/lib"
+
 deps.mak:
 	$(CC) -MM $(CFLAGS) $(DEFINES) $(INCLUDEDIRS) *.c >deps.mak
 
